<?php

namespace DMD\LaLigaApi\Enum;

enum NotificationType
{
    case NEW_JOIN_LEAGUE_REQUEST;
    case DECLINED_JOIN_LEAGUE_REQUEST;
    case NEW_JOIN_TEAM_REQUEST;
    case NEW_CAPTAIN_REQUEST;
    case DECLINED_CAPTAIN_REQUEST;
    case ACCEPTED_CAPTAIN_REQUEST;

    public function getMessage(?string $requestingUserFullName, string $entityName): string
    {
        return match ($this){
            self::NEW_JOIN_LEAGUE_REQUEST, self::NEW_JOIN_TEAM_REQUEST => "$requestingUserFullName , quiere unirse a $entityName.",
            self::NEW_CAPTAIN_REQUEST => "$requestingUserFullName quiere ser capitán del equipo $entityName.",
            self::DECLINED_JOIN_LEAGUE_REQUEST => "Han rechazado tu solicitud para unirte a la liga $entityName.",
            self::DECLINED_CAPTAIN_REQUEST => "Han rechazado tu solicitud para ser capitán del equipo $entityName.",
            self::ACCEPTED_CAPTAIN_REQUEST => "Han aceptado tu solicitud para ser capitán del equipo $entityName."
        };
    }

}